/*
 * Copyright (c) 2018 WIT Software. All rights reserved.
 *
 * WIT Software Confidential and Proprietary information. It is strictly forbidden for 3rd parties
 * to modify, decompile,
 * disassemble, defeat, disable or circumvent any protection mechanism; to sell, license, lease,
 * rent, redistribute or
 * make accessible to any third party, whether for profit or without charge.
 */

package com.witsoftware.wmc.resources

import android.graphics.drawable.Drawable
import android.support.annotation.*

fun string(@StringRes stringResId: Int):String = ResourceProvider.get().string(stringResId)

fun drawable(@DrawableRes drawableRes: Int): Drawable = ResourceProvider.get().drawable(drawableRes)

@ColorInt
fun color(@ColorRes colorRes: Int): Int = ResourceProvider.get().color(colorRes)

fun resourceSize(@DimenRes resource: Int): Int = ResourceProvider.get().resourceSize(resource)
